package com.persagy.labsl.models.entities.tpt

import com.persagy.labsl.domain.MarkerEntity
import com.persagy.labsl.domain.NodeEntity
import com.persagy.labsl.domain.RelationEntity
import io.swagger.v3.oas.annotations.media.Schema
import java.io.Serializable
import javax.validation.Valid

/**
 * 系统图展示所需数据
 *
 * @author wx
 */
class ElementsEntity : Serializable {

    @Schema(description = "图例节点")
    @Valid
    var nodes : ArrayList<NodeEntity>? = null

    @Schema(description = "文本注释，图上的图片说明")
    var markers : ArrayList<MarkerEntity>? = null

    @Schema(description = "管线对象")
    var relations : ArrayList<RelationEntity>? = null

} // Class Elements